Bug 231920 - [NEW PORT] security/ismtp: Test for SMTP user enumeration,internal spoofing, and relay
Summary: [NEW PORT] security/ismtp: Test for SMTP user enumeration,internal spoofing, ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-10-03 16:21 UTC by Rihaz Jerrin
Modified: 2019-05-29 09:59 UTC (History)
5 users (show)

See Also:


Attachments
[NEW PORT]: security/ismtp (257.35 KB, text/plain)
2018-10-03 16:21 UTC, Rihaz Jerrin
no flags Details
[NEW PORT]: security/ismtp (1.72 KB, application/octet-stream)
2018-10-04 12:37 UTC, Rihaz Jerrin
no flags Details
[new port ] security/ismtp (2.48 KB, text/plain)
2018-10-25 23:28 UTC, Rihaz Jerrin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rihaz Jerrin 2018-10-03 16:21:02 UTC
Created attachment 197757 [details]
[NEW PORT]: security/ismtp

Test for SMTP user enumeration (RCPT TO and VRFY), internal spoofing, and relay.

WWW:https://github.com/altjx/ipwn/tree/master/iSMTP
Comment 1 Nathan 2018-10-03 21:50:25 UTC
Comment on attachment 197757 [details]
[NEW PORT]: security/ismtp

This would be so much easier to read if you used svn diff or possibly diff -Naur

Preferably svn diff
Comment 2 Rihaz Jerrin 2018-10-04 11:51:18 UTC
I just attached it as a *.shar file,any changes needs to be done, please let me know.

Thank you
Comment 3 Rihaz Jerrin 2018-10-04 12:37:02 UTC
Created attachment 197776 [details]
[NEW PORT]: security/ismtp

Updated the share file.
Comment 4 Lorenzo Salvadore 2018-10-04 12:43:50 UTC
I find you shar file very easy to read. I think the problem was that you had the work directory into it, but I see that you have just removed it and now it should be fine.

Just a few comments on your Makefile.

All variables should be defined before the targets, hence you should put PLIST_FILES earlier.

I think you might need to reorder something else: probably you should put NO_BUILD after SHEBANG_FILES.

See https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-order.html for official ordering instructions.
Comment 5 Kurt Jaeger freebsd_committer 2018-10-06 15:06:04 UTC
Why do you use version 1.5, when the help screen says 1.6 ?
Comment 6 Kurt Jaeger freebsd_committer 2018-10-06 15:07:17 UTC
Btw, testbuilds with minor mods are fine.
Comment 7 Rihaz Jerrin 2018-10-25 23:28:31 UTC
Created attachment 198641 [details]
[new port ] security/ismtp

It seems the author has removed the release version from github.Updated the Makefile with the changes mentioned. Have tested using poudriere/portlint.

Thanks
Jerrin
Comment 8 commit-hook freebsd_committer 2019-05-26 22:00:24 UTC
A commit references this bug:

Author: swills
Date: Sun May 26 21:59:59 UTC 2019
New revision: 502752
URL: https://svnweb.freebsd.org/changeset/ports/502752

Log:
  security/ismtp: create port

  SMTP user enumeration (RCPT TO and VRFY), internal spoofing, and open relay. A
  tool that tested for all three and with great flexibility. iSMTP does just
  that, making it much easier to knock that process out of the way.

  WWW: https://github.com/altjx/ipwn/tree/master/iSMTP

  PR:		231920
  Submitted by:	Rihaz Jerrin <rihaz.jerrin@gmail.com>

Changes:
  head/security/Makefile
  head/security/ismtp/
  head/security/ismtp/Makefile
  head/security/ismtp/distinfo
  head/security/ismtp/files/
  head/security/ismtp/files/patch-iSMTP.py
  head/security/ismtp/pkg-descr
Comment 9 Steve Wills freebsd_committer 2019-05-26 22:01:09 UTC
Committed, thanks!